package it.uniroma1.dis.jasmine.ui;

import it.uniroma1.dis.jasmine.ui.utils.NumberField;
import it.uniroma1.dis.jasmine.ui.utils.TextComponentPopup;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

/**
 * @deprecated
 */
public class SceltaCamminoFrame extends JFrame {
	/**
	 * 
	 */
	private static final long serialVersionUID = 8428488264322836252L;
	
	private JLabel istruzioni = new JLabel("Inserisci la lista ordinata di nodi separati da spazi");
	public NumberField camminoField = new NumberField();
	public JButton okButton = new JButton("Ok");
	private JButton cancelButton = new JButton("Annulla");
	private JPanel mainPanel = new JPanel();
	private JPanel buttonPanel = new JPanel();
	
	private int[] camminoSmv;
	
	/**
	 * 
	 */
	public SceltaCamminoFrame() {
		this.setResizable(true);
		final int DEFAULT_FRAME_WIDTH = 400;
		final int DEFAULT_FRAME_HEIGHT = 150;
		setSize(DEFAULT_FRAME_WIDTH, DEFAULT_FRAME_HEIGHT);
		Dimension frameSize = this.getSize();
		setMinimumSize(frameSize);
		setLocation(
				(Toolkit.getDefaultToolkit().getScreenSize().width
						- frameSize.width) / 2,
						(Toolkit.getDefaultToolkit().getScreenSize().height
								- frameSize.height) /2);
		
		ActionListener listener = new ButtonAction();		// ACTION-LISTENER x pulsanti
		camminoField.setComponentPopupMenu(new TextComponentPopup(camminoField));
		
		mainPanel.setLayout(new GridLayout(3,1));
		mainPanel.add(istruzioni);
		mainPanel.add(camminoField);
		
		buttonPanel.add(okButton);
		okButton.addActionListener(listener);
		buttonPanel.add(cancelButton);
		cancelButton.addActionListener(listener); 
		Container contentPane = getContentPane();		
		//contentPane.add(highPanel, BorderLayout.NORTH);
		contentPane.add(mainPanel, BorderLayout.CENTER);
		contentPane.add(buttonPanel, BorderLayout.SOUTH);
		//contentPane.add(lowPanel, BorderLayout.SOUTH);
		
	}
	
	/**
	 * @return
	 */
	public int[] getCammino() {
		return camminoSmv;
	}
	
	/**
	 *
	 */
	private class ButtonAction implements ActionListener	// intercetta eventi nei pulsanti
	{ 
		/* (non-Javadoc)
		 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
		 */
		public void actionPerformed(ActionEvent event){
			Object source = event.getSource();		// trova pulsante premuto

			if (source == okButton)	{	
				
				setVisible(false);
			}else if (source == cancelButton)	{	
				setVisible(false);
			}
		}
	}
}
