package it.uniroma1.dis.jasmine;

import java.io.File;
import java.io.IOException;
import java.io.PrintWriter;

public class CodeGeneratorWrapper {
	
	public static String writeJavaFileFromCodeGenerator(ICodeGenerator cg) {
		
		String className = cg.getClassName();
		
		String path = System.getProperty("java.io.tmpdir")+"/"+className+".java";
		
		try {
			File f = new File(path);
			PrintWriter pw = new PrintWriter(f);
			cg.generateCode(pw);
		} catch (IOException ioe) {
			return null;
		}
		
		return path;
	}
	
}
